#include "addappointment.h"
#include "ui_addappointment.h"
#include "qmessagebox.h"

AddAppointment::AddAppointment(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::AddAppointment)
{
    ui->setupUi(this);
    this->ui->txtName->setFocus();
}

AddAppointment::~AddAppointment()
{
    delete ui;
}

void AddAppointment::on_AddAppointment_accepted()
{
}

QString AddAppointment::getName()
{
    return this->ui->txtName->text();
}

QString AddAppointment::getPhone()
{
    return this->ui->txtPhone->text();
}

QString AddAppointment::getPurpose()
{
    return this->ui->cbPurpose->currentText();
}

void AddAppointment::setDate(QString date)
{
    this->ui->txtDate->setText(date);
}

void AddAppointment::setPhone(QString phone)
{
    this->ui->txtPhone->setText(phone);
}

void AddAppointment::setPurpose(QString purpose)
{
    this->ui->cbPurpose->setEditText(purpose);
}

void AddAppointment::setName(QString name)
{
    this->ui->txtName->setText(name);
}
