#include "logindialog.h"
#include "ui_logindialog.h"
#include "qmessagebox.h"
#include "mainwindow.h"

LoginDialog::LoginDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::LoginDialog)
{
    ui->setupUi(this);
    this->ui->txtUsername->setFocus();
}

LoginDialog::~LoginDialog()
{
    delete ui;
}

void LoginDialog::on_LoginDialog_accepted()
{
}

void LoginDialog::on_buttonBox_accepted()
{
    QString username = this->ui->txtUsername->text();
    QString password = this->ui->txtPassword->text();
    if(username.isEmpty() || password.isEmpty()){
        QMessageBox::critical(0, "Error", "Username or Password is empty!");
        return;
    }

    MainWindow* main = new MainWindow();
    main->show();
    this->destroy();
}
