#ifndef APPOINTMENTCONTROLLER_H
#define APPOINTMENTCONTROLLER_H

#include "controller.h"
#include "qlist.h"
#include "appointmentmodel.h"

class AppointmentController : public Controller
{
private:
    QList<AppointmentModel*> appointmentList;
public:
    AppointmentController();
    ~AppointmentController();

    AppointmentModel* make(QString name, QString phone, QString purpose, QString date, int beginTime, int endTime);
    void cancel(int id);
    void mark(int id, int state);
    AppointmentModel* find(QString date, int beginTime);
    QList<AppointmentModel*> find(QString date);
    AppointmentModel* find(int patientId);
    QList<AppointmentModel*> find();

    void save();
};

#endif // APPOINTMENTCONTROLLER_H
